API Reference
Upload WhatsApp Business profile picture
Upload a new profile picture for the WhatsApp Business profile. The image will be uploaded to Meta and set as the profile picture.
POST
/
v1
/
senders
/
{senderId}
/
profile
/
picture
Upload WhatsApp Business profile picture
curl --request POST \
--url https://api.zavu.dev/v1/senders/{senderId}/profile/picture \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"imageUrl": "https://example.com/profile.jpg",
"mimeType": "image/jpeg"
}
'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/profile/picture"
payload = {
"imageUrl": "https://example.com/profile.jpg",
"mimeType": "image/jpeg"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({imageUrl: 'https://example.com/profile.jpg', mimeType: 'image/jpeg'})
};
fetch('https://api.zavu.dev/v1/senders/{senderId}/profile/picture', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"profile": {
"about": "Succulent specialists!",
"address": "1 Hacker Way, Menlo Park, CA 94025",
"description": "At Lucky Shrub, we specialize in providing a diverse range of high-quality succulents.",
"email": "contact@example.com",
"profilePictureUrl": "https://pps.whatsapp.net/v/t61.24...",
"websites": [
"https://www.example.com/"
]
}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}{
"code": "invalid_request",
"message": "Phone number is invalid",
"details": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Upload WhatsApp Business profile picture
